Subject: Re: Open issue: requester identifier in DPV response

From: Peter Sylvester <[email-masked]>
Date: Wed, 17 Apr 2002 18:47:31 +0200 (MET DST)

> >
> >1. The requestor MUST be able, upon request, to have a field to be copied
> >    in the response.
> >
> >2. When the request is authenticated, the requestor SHOULD be able, upon
> >    request, to have an identifier to be included in the response. How this
> >    identifier is derived from the authenticated identity depends on local
> >    server conditions. The server MAY choose to refuse to include an
> >    identitier in the response.
> >
> >Opinions ?
> 
> I think that the first alternative is too vague to be useful.  I nonce 
> mechanism that might be included to detect reply would fulfill the requirement.
> 
> I think that the second is acceptable.  I could live with it in order to 
> reach closure, but I do not think that it is necessary.

1: 
   Actually Denis has added a new requirement here which is something that
   I had in mind but forgotten during the other discussions.

   'a field' could mean 'a textual description identifying the nature or reason
   of the request/response'. 

   This is not nonce processing, I have some tendency to avoid to encourage
   people to hide something necessary in a nonce.
   
2:
   What about:   
   
   When the request is authenticated, the requestor SHOULD be able, upon
   request, to indicate an identifier to be included in the response. How this
   identifier is matched with the authenticated identity depends on local
   server conditions and/or the validation policy. 
   The server MAY choose to refuse to include an identitier in the response,
   or MAY refuse to create a response. 

> Russ
Peter

---

From: Denis Pinkas <[email-masked]>
Date: Thu, 25 Apr 2002 15:18:23 +0200

Peter,

I believe that we have now achieved consensus for the inclusion of 
two different requirements for two different purposes:

So I am prepared to include two paragraphs:

The requestor MUST be able, upon request, to have a text field to be 
copied in the response. As an example, this field may relate to the 
nature or reason of the request/response.

When the request is authenticated, the requestor SHOULD be able, upon
request, to indicate an identifier to be included in the response. 
How this identifier is matched with the authenticated identity depends 
on local server conditions and/or the validation policy. The server 
MAY choose to refuse to include an identifier in the response, or MAY 
refuse to create a response. 

This should close the last issue raised during the last call.

Denis